> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/assessment/anc.md).

# ANC

| **API URL**     | {{url}}/spice-service/assessment/create |
| --------------- | --------------------------------------- |
| **Method**      | POST                                    |
| **Description** | Assessment Creation of ANC in RMNC      |

#### **Input:** <a href="#rmnch-anc-v2-input" id="rmnch-anc-v2-input"></a>

| **Field Name**              | **Type** | **Mandatory** | **Example**                                                                                                                             |
| --------------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization (Header)      | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                      | String   | Yes           | mob                                                                                                                                     |
| households                  | String   | Yes           | Households details                                                                                                                      |
| householdMembers            | String   | Yes           | Household Members details                                                                                                               |
| assessment                  | String   | Yes           | Assessment details                                                                                                                      |
| anc                         | String   | Yes           | Assessment type details                                                                                                                 |
| gestationalAge              | Bigint   | Yes           | Gestational Age                                                                                                                         |
| isMalePartnerPresent        | Boolean  | Yes           | Is the Male Partner Present validation                                                                                                  |
| eatsMoreThanBefore          | Boolean  | Yes           | Eats More Than Before                                                                                                                   |
| takesIronFloatTablets       | Boolean  | Yes           | Takes Iron Float Tablets                                                                                                                |
| miscarriage                 | Boolean  | Yes           | Mis carriage status                                                                                                                     |
| sleepsUnderBedNet           | Boolean  | Yes           | Sleeps Under Bed Net                                                                                                                    |
| eats4GroupIronVitARichFoods | Boolean  | Yes           | Eats 4Group Iron VitA Rich Foods                                                                                                        |
| estimatedDeliveryDate       | Date     | Yes           | Estimated Delivery Date                                                                                                                 |
| takesFancidarTablets        | Boolean  | Yes           | Takes Fancidar Tablets                                                                                                                  |
| lastMenstrualPeriod         | Date     | Yes           | Last Menstrual Period                                                                                                                   |
| priorityPregnancy           | Boolean  | Yes           | Priority Pregnancy                                                                                                                      |
| ancSigns                    | String   | Yes           | convulsions, blurredVisionOrDifficultySeeing                                                                                            |
| birthPlanMade               | Boolean  | Yes           | Birth Plan Made                                                                                                                         |
| deathOfMother               | Boolean  | Yes           | Death Of Mother                                                                                                                         |
| visitNo                     | Bigint   | Yes           | Visit No                                                                                                                                |
| assessmentType              | String   | Yes           | OTHER\_SYMPTOMS                                                                                                                         |
| encounter                   | String   | Yes           | Encounter details like patient details and organization details                                                                         |
| endTime                     | Date     | Yes           | End Time                                                                                                                                |
| householdId                 | Bigint   | Yes           | Household Id                                                                                                                            |
| latitude                    | Double   | Yes           | Location details                                                                                                                        |
| longitude                   | Double   | Yes           | longitude details                                                                                                                       |
| memberId                    | Bigint   | Yes           | Household Member Id                                                                                                                     |
| patientId                   | Bigint   | Yes           | Patient Id                                                                                                                              |
| provenance                  | String   | Yes           | Provenance details                                                                                                                      |
| referred                    | Boolean  | Yes           | Patient Referred status                                                                                                                 |
| startTime                   | Date     | Yes           | Start Time                                                                                                                              |
| patientStatus               | String   | Yes           | Patient Status                                                                                                                          |
| referenceId                 | Bigint   | Yes           | Reference ID for a household member                                                                                                     |
| referredReasons             | String   | Yes           | ANC Signs - ANC Visit 1                                                                                                                 |
| summary                     | String   | Yes           | referredSiteId                                                                                                                          |
| updatedAt                   | Date     | Yes           | Updated At                                                                                                                              |
| villageId                   | Bigint   | Yes           | Village ID for assessment                                                                                                               |

#### **Sample Input:** <a href="#rmnch-anc-v2-sampleinput" id="rmnch-anc-v2-sampleinput"></a>

{\
"households": \[],\
"householdMembers": \[],\
"assessment": {\
"assessmentDetail": {\
"anc": {\
"gestationalAge": 1,\
"isMalePartnerPresent": true,\
"eatsMoreThanBefore": false,\
"takesIronFloatTablets": false,\
"miscarriage": false,\
"sleepsUnderBedNet": false,\
"eats4GroupIronVitARichFoods": false,\
"estimatedDeliveryDate": "2025-10-21T05:30:00+05:30",\
"takesFancidarTablets": false,\
"lastMenstrualPeriod": "2025-01-14T00:00:00+00:00",\
"priorityPregnancy": false,\
"ancSigns": \[\
"convulsions",\
"blurredVisionOrDifficultySeeing"\
],\
"birthPlanMade": false,\
"deathOfMother": false,\
"visitNo": 1\
}\
},\
"assessmentType": "ANC",\
"encounter": {\
"endTime": "2025-01-27T06:42:53.228Z",\
"householdId": "1",\
"latitude": 37.4219983,\
"longitude": -122.084,\
"memberId": "2",\
"patientId": "3",\
"provenance": {\
"modifiedDate": "2025-01-27T06:42:43.991Z",\
"organizationId": "1",\
"spiceUserId": 2,\
"userId": "3"\
},\
"referred": true,\
"startTime": "2025-01-27T06:42:53.228Z",\
"visitNumber": 1\
},\
"patientStatus": "Referred",\
"referenceId": 2,\
"referredReasons": "ANC Signs - ANC Visit 1",\
"summary": {\
"nextVisitDate": "2025-05-19T00:00:00+00:00",\
"referredSiteId": 446644\
},\
"updatedAt": 1737960163991,\
"villageId": "1"\
},\
"followUps": \[],\
"householdMemberLinks": \[]\
}

#### **Output:** <a href="#rmnch-anc-v2-output" id="rmnch-anc-v2-output"></a>

| **Field Name**     | **Type** | **Comments**                    |
| ------------------ | -------- | ------------------------------- |
| <p>Message<br></p> | String   | Assessment Created Successfully |

#### **Sample Output:** <a href="#rmnch-anc-v2-sampleoutput" id="rmnch-anc-v2-sampleoutput"></a>

```
{
  "message": "Assessment Created Successfully.",
  "entity": null,
  "status": true,
  "entityList": null,
  "responseCode": 201,
  "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/assessment/anc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
